How to downgrade from Fedora 30 to Fedora 29?

Hey all, so I’m trying to downgrade from Fedora 30 to Fedora 29.

I have tried this command:
sudo dnf --releasever 29 downgrade
as suggested here (https://forums.fedoraforum.org/showthread.php?315280-How-do-you-downgrade-from-26-to-25-without-wiping) but had no such luck.

I am trying to downgrade without wiping, if possible.

Thank you for your help in advance.

Wait a moment.
You have the right to want to downgrade :slight_smile:
Said that, why are you trying to do that?

1 Like

Ah ended up just wiping everything and installing Fedora 29. Downgrading because I’m having major issues with installing nginx and passenger. Moreover, the Ruby on Rails install is very fragile and it broke when attempting to re-install “ruby-devel” to fix the problem with installing the latest nokogiri gem.

Do you know of a command that can downgrade?

No sorry.
But you could consider a VM or better a container (i.e. using podman): your main system running with F30, and a container or a VM running F29 for your experiments with passenger and Ruby.

BTW you should consider that F29 will be End Of Life by the end of this year, so you can’t rely on staying on old versions. It is better to solve problems on the latest release.

If you have issues with Ruby, take into account that there is a Fedora Ruby SIG (Special Interest Group) that could help you and to which you can contribute: https://fedoraproject.org/wiki/SIGs/Ruby?rd=Ruby_SIG

3 Likes

Okay. Yeah, someone suggested that on SO chat but it’s essentially worthless for what I’m tasked with.
Yes, I do realize this. I will do what is appropriate for my work environment. But thank you for your advice.

I will check out the Fedora Ruby SIG. I have been searching for a Fedora Ruby resource so thank you.

2 Likes

Downgrade on Fedora using dnf is not possible.

Okay, thank you @florian – I will keep that in mind for future reference.

I would have also sought the solution with Fedora 29 in a VM. And incidentally would have often tried to install NGINX, passenger etc. under Fedora 30. Errors are always solved relatively quickly and you have a modern system. I also had problems with my ATI Radeon card since some kernel versions, but now with 5.1.17 and the changes in the xserver it’s going to be wonderful again.

2 Likes